UnsubscribeBlogByEmail
POST
/auth/v1/blog/unsubscribe/emailRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.UnsubscribeBlogByEmailRequest",
"$ref-value": {
"type": "object",
"properties": {
"user": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.UserRequest",
"$ref-value": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"title": "user_id"
}
},
"title": "UserRequest",
"additionalProperties": false
}
}
],
"title": "user"
},
"email": {
"type": "string",
"title": "email"
}
},
"title": "UnsubscribeBlogByEmailRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/google.protobuf.Empty",
"$ref-value": {
"type": "object",
"description": "An empty JSON object."
}
}curl -X POST "https://api.rixl.com/auth/v1/blog/unsubscribe/email" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/google.protobuf.Empty",
"$ref-value": {
"type": "object",
"description": "An empty JSON object."
}
}